# GLCD enumerations

## Enumerations

enum | eraseLine_t { eraseTO_EOL, eraseFROM_BOL, eraseFULL_LINE }
| Erase line options. More...
enum | predefinedArea { textAreaFULL, textAreaTOP, textAreaBOTTOM, textAreaLEFT, textAreaRIGHT, textAreaTOPLEFT, textAreaTOPRIGHT, textAreaBOTTOMLEFT, textAreaBOTTOMRIGHT }
| Pre Defined Text areas. More...

## Enumeration Type Documentation

enum eraseLine_t

Erase line options.

These enumerations are used with the EraseTextLine() function call.
They provide similar functionality to the ANSI EraseInLine terminal primitive: CSI n K

Enumerator:

  eraseTO_EOL | Erase From cursor to end of Line
  eraseFROM_BOL | Erase From Begining of Line to Cursor
  eraseFULL_LINE | Erase Entire line

enum predefinedArea

Pre Defined Text areas.

These enumerations are used to easily define text areas using predefined display areas.
They are used with the DefineArea() function call.

Enumerator:

  textAreaFULL | Entire GLCD display
  textAreaTOP | Top half of GLCD display
  textAreaBOTTOM | Bottom half of GLCD display
  textAreaLEFT | Left side of GLCD display
  textAreaRIGHT | Right side of GLCD display
  textAreaTOPLEFT | Upper left quarter of GLCD display
  textAreaTOPRIGHT | Upper right quarter of GLCD display
  textAreaBOTTOMLEFT | Buttom left quarter of GLCD display
  textAreaBOTTOMRIGHT | Bottom right quarter of GLCD display

All Classes Functions Variables